from meetkai_mka1 import SDK, models
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agent_runs.create_agent_run(agent_id="<id>", input=[
models.CreateAgentRunRequestInput(
type="<value>",
),
])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agentRuns.createAgentRun({
agentId: "<id>",
createAgentRunRequest: {
input: [
{
type: "<value>",
},
],
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.AgentRuns.CreateAgentRunAsync(
agentId: "<id>",
body: new MeetKai.MKA1.Types.Components.CreateAgentRunRequest() {
Input = CreateAgentRunRequestInputUnion.CreateArrayOfCreateAgentRunRequestInput(
new List<CreateAgentRunRequestInput>() {
new CreateAgentRunRequestInput() {
Type = "<value>",
},
}
),
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/agents/{agent_id}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": "<string>",
"conversation": "<unknown>",
"previous_response_id": "<string>",
"context_management": [
{
"type": "compaction",
"compact_threshold": 1001
}
],
"metadata": {}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: '<string>',
conversation: '<unknown>',
previous_response_id: '<string>',
context_management: [{type: 'compaction', compact_threshold: 1001}],
metadata: {}
})
};
fetch('https://apigw.mka1.com/api/v1/agents/{agent_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "agent.run",
"id": "<string>",
"agent_id": "<string>",
"agent_version": 2,
"input": "<unknown>",
"conversation": "<unknown>",
"previous_response_id": "<string>",
"metadata": {},
"gateway_response_id": "<string>",
"gateway_response": "<unknown>",
"error": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>"
}
}Start a saved agent run
Starts an asynchronous background run for a saved agent and returns the queued run record. Use the run retrieval endpoint to poll status or the events endpoint to stream progress.
from meetkai_mka1 import SDK, models
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.agent_runs.create_agent_run(agent_id="<id>", input=[
models.CreateAgentRunRequestInput(
type="<value>",
),
])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.agentRuns.createAgentRun({
agentId: "<id>",
createAgentRunRequest: {
input: [
{
type: "<value>",
},
],
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.AgentRuns.CreateAgentRunAsync(
agentId: "<id>",
body: new MeetKai.MKA1.Types.Components.CreateAgentRunRequest() {
Input = CreateAgentRunRequestInputUnion.CreateArrayOfCreateAgentRunRequestInput(
new List<CreateAgentRunRequestInput>() {
new CreateAgentRunRequestInput() {
Type = "<value>",
},
}
),
}
);
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
Body
1 - 20000Arbitrary JSON value.
Context management strategies to apply during agent-run response generation. Supports compaction, which summarizes older conversation history when the context exceeds a token threshold.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Queued run.
agent.run The agent configuration version this run executed against. Null for runs created before versioning.
x >= 1queued, submitting, completed, failed Arbitrary JSON value.
Arbitrary JSON value.
Show child attributes
Show child attributes
Arbitrary JSON value.
Arbitrary JSON value.
Was this page helpful?